{% extends "base.html.jinja" %}

{% block content %}
  <div class="d-flex align-items-center">
    <main class="py-5 m-100 m-auto" style="max-width: 500px">
      <form method="POST" enctype="multipart/form-data">
        <fieldset id="forms__input">
          <legend class="text-center">XDF2 zu XDF3 Konverter</legend>

          <p>
            Konvertiert eine XDF2 Schemadatei inklusive der referenzierten
            Codelisten zu XDF3.
          </p>

          <div class="mb-3">
            <label for="schema">Schemadatei auswählen:</label>
            <input
              class="form-control"
              name="schema"
              type="file"
              id="schema"
              accept="text/xml"
              required
            />
          </div>

          <div class="mb-3">
            <label for="code_lists">
              Codelisten auswählen (Mehrfachauswahl, optional):
            </label>
            <input
              class="form-control"
              name="code_lists"
              type="file"
              id="code_lists"
              accept="text/xml"
              multiple
            />
          </div>

          <button class="btn btn-primary w-100 py-2 mt-3" type="submit">
            Konvertieren
          </button>
        </fieldset>
      </form>
    </main>
  </div>
{% endblock %}
